package com.za.bean.db;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity(tableName = "new_table_photo_template")
public class NewPhotoTemplateBean {
    //图片id
    @PrimaryKey(autoGenerate = true)
    public long id;

    // 流程节点
    private int taskNode;
    //图片描述
    private String imageDescription;
    //图片标题
    private String imageTitle;
    //标签
    private String tag;
    // 是否必拍 0 非必拍 1必拍
    private int doHaveFilm;
    //封面地址
    private String photoUrl;
    //图片名称
    private String photoName;
    //图片类型
    private int photoType;//1 走单照片 2 工单照片  3更换电瓶照片
    //创建日期
    private String createTime;
    private String numbering;//图片编号
    private Integer recognizeType;//ocr识别类型 0 无 1车牌号 2车架号

    private String photoTip = "";//拍摄提示
    private String photoPath = "";//照片路径
    private String photoContract = "";//对比照
    private int photoNum = 1;//对比照
    private Boolean mustPhoto = false;//是否必拍照片
    private int photoStatus = 0;// 0 未上传 1 准备上传 2 已上传 3 上传失败 4 上传中 5 照片不符合条件 6 照片缺失地址信息  7 ocr车架号识别出错
    private String uploadedPath = "";
    private String photoInfo;
    private int index;
    private int userOrderId;
    private int taskId;
    private String taskCode;

    public NewPhotoTemplateBean() {
        this.id = System.currentTimeMillis();
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public int getTaskNode() {
        return taskNode;
    }

    public void setTaskNode(int taskNode) {
        this.taskNode = taskNode;
    }

    public String getImageDescription() {
        return imageDescription;
    }

    public void setImageDescription(String imageDescription) {
        this.imageDescription = imageDescription;
    }

    public String getImageTitle() {
        return imageTitle;
    }

    public void setImageTitle(String imageTitle) {
        this.imageTitle = imageTitle;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public int getDoHaveFilm() {
        return doHaveFilm;
    }

    public void setDoHaveFilm(int doHaveFilm) {
        this.doHaveFilm = doHaveFilm;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public String getPhotoName() {
        return photoName;
    }

    public void setPhotoName(String photoName) {
        this.photoName = photoName;
    }

    public int getPhotoType() {
        return photoType;
    }

    public void setPhotoType(int photoType) {
        this.photoType = photoType;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getNumbering() {
        return numbering;
    }

    public void setNumbering(String numbering) {
        this.numbering = numbering;
    }

    public Integer getRecognizeType() {
        return recognizeType;
    }

    public void setRecognizeType(Integer recognizeType) {
        this.recognizeType = recognizeType;
    }

    public String getPhotoTip() {
        return photoTip;
    }

    public void setPhotoTip(String photoTip) {
        this.photoTip = photoTip;
    }

    public String getPhotoPath() {
        return photoPath;
    }

    public void setPhotoPath(String photoPath) {
        this.photoPath = photoPath;
    }

    public String getPhotoContract() {
        return photoContract;
    }

    public void setPhotoContract(String photoContract) {
        this.photoContract = photoContract;
    }

    public int getPhotoNum() {
        return photoNum;
    }

    public void setPhotoNum(int photoNum) {
        this.photoNum = photoNum;
    }

    public Boolean getMustPhoto() {
        return mustPhoto;
    }

    public void setMustPhoto(Boolean mustPhoto) {
        this.mustPhoto = mustPhoto;
    }

    public int getPhotoStatus() {
        return photoStatus;
    }

    public void setPhotoStatus(int photoStatus) {
        this.photoStatus = photoStatus;
    }

    public String getUploadedPath() {
        return uploadedPath;
    }

    public void setUploadedPath(String uploadedPath) {
        this.uploadedPath = uploadedPath;
    }

    public String getPhotoInfo() {
        return photoInfo;
    }

    public void setPhotoInfo(String photoInfo) {
        this.photoInfo = photoInfo;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public int getUserOrderId() {
        return userOrderId;
    }

    public void setUserOrderId(int userOrderId) {
        this.userOrderId = userOrderId;
    }

    public int getTaskId() {
        return taskId;
    }

    public void setTaskId(int taskId) {
        this.taskId = taskId;
    }

    public String getTaskCode() {
        return taskCode;
    }

    public void setTaskCode(String taskCode) {
        this.taskCode = taskCode;
    }

    @Override
    public String toString() {
        return "NewPhotoTemplateBean{" +
                "id=" + id +
                ", taskNode=" + taskNode +
                ", imageDescription='" + imageDescription + '\'' +
                ", imageTitle='" + imageTitle + '\'' +
                ", tag='" + tag + '\'' +
                ", doHaveFilm=" + doHaveFilm +
                ", photoUrl='" + photoUrl + '\'' +
                ", photoName='" + photoName + '\'' +
                ", photoType=" + photoType +
                ", createTime='" + createTime + '\'' +
                ", numbering='" + numbering + '\'' +
                ", recognizeType=" + recognizeType +
                ", photoTip='" + photoTip + '\'' +
                ", photoPath='" + photoPath + '\'' +
                ", photoContract='" + photoContract + '\'' +
                ", photoNum=" + photoNum +
                ", mustPhoto=" + mustPhoto +
                ", photoStatus=" + photoStatus +
                ", uploadedPath='" + uploadedPath + '\'' +
                ", photoInfo='" + photoInfo + '\'' +
                ", index=" + index +
                ", userOrderId=" + userOrderId +
                ", taskId=" + taskId +
                ", taskCode='" + taskCode + '\'' +
                '}';
    }
}
